# Star Rays Generator for Adobe Illustrator

## Overview
The Star Rays Generator is a powerful tool for Adobe Illustrator that lets you create stunning "starburst" line effects. With this script, you can generate random lines radiating from the center of selected objects or the document center, making it ideal for designs requiring dynamic, radiant visuals.

## Features
- Generates random rays with varied colors and lengths.
- Uses stroke colors from selected objects (if available) or applies random colors.
- Works seamlessly with Adobe Illustrator CC 2024 and above.

## Installation
1. Download the `.jsx` file from the repository or release page.
2. Place the file in Illustrator's `Scripts` folder:
   - **Windows:** `C:\Program Files\Adobe\Adobe Illustrator [Version]\Presets\en_US\Scripts`
   - **Mac:** `/Applications/Adobe Illustrator [Version]/Presets/en_US/Scripts`
3. Restart Adobe Illustrator.
4. Access the script from the menu: `File > Scripts > Star Rays Generator`.
5. Alternatively, run the script via `File > Scripts > Other Scripts...` and select the `.jsx` file from your local directory.

## Usage
1. Open your Adobe Illustrator project.
2. Select one or more objects with stroke colors to use their colors for the rays. If no objects are selected, random colors will be used.
3. Run the script from the menu: `File > Scripts > Star Rays Generator`.
4. Watch as random starburst lines radiate from the center of your selection or the document center!

## Examples
- **With Selected Objects:**
  The rays adopt the stroke colors from selected objects. They are drawn from the center of the inividual objects. The dialog will ask you to set the number of rays, line width, opacity and Blending mode.

- **Without Selection:**
  Rays are drawn centered in the document. A dialog will appear, allowing you to set values for the amount of lines, min and max radius, color settings red (R), green (G), and blue (B), line width, opacity and Blending mode.

## Requirements
- Adobe Illustrator CC 2024 or newer.

## Contributing
Feedback and contributions are welcome! If you have ideas for improvements or encounter any issues, feel free to open an issue or submit a pull request.

## License
MIT License

Copyright (c) 2024 Magnus Hållberg

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

---

### Author
Magnus Hållberg

If you enjoy this script, consider sharing it with your community or buying me a coffee!

